// Should submit on click on form and should not on click in textfield
function stop(e) {
	try { window.event.cancelBubble = true; }
	catch (err) { e.stopPropagation(); }
}

jQuery(function($){
		
	// Popups
	/* 
		Description:
			An <a> tag that would toggle a popup dialog should have an anchor in its 'href' attribute, corresponding to the value of the popup's 'id' attribute.
			Also this <a> tag should necessarily have class 'show-popup'.
	*/
	(function() {
		var d, a, c, s=170; // dialog, anchor, close, speed
		
		$(".show-popup").click(function() {
			a = $(this);
			d = $(a.attr('href'));
			//First, hide other dropdown lists
			$('.dd-options').fadeOut(s);
			d.css('display')=='block' ? d.fadeOut(s) : d.fadeIn(s);
			a.toggleClass('active');
			return false;
		});
		
		$(".close").click(function() {
			c = $(this);
			d = $(c.attr('href')); //c.parent('.popup');
			d.fadeOut(s);
			$('a[href='+c.attr('href')+'].show-popup').removeClass('active');
			//$overlay.hide(70);
			return false;
		});
	})();
	
	//--------------------------------------------------------------------------------
		
	// Interactive map
		(function() {
			function showdistrictaddress() {
				var districts = ".branches";
				
				$(districts+" select").change(function() {
					// Hide current address
					$(districts+" .branch-info").addClass('hide');
					// and show new one
					$("#"+this.options[this.selectedIndex].value+".branch-info").removeClass('hide');
				});
			}
			
			function showdistrictonmap() {
				$("#yar-map area").click(function(){
					var target = $(this).attr("href").substr(1);
					var districts = ".branches";
					
					// Selecting correct district's name o nthe dropdown box
					$(districts+" select option[value="+target+"]").attr("selected", true);
					// Triggering dropdown change event to change address info
					$(districts+" select").change();
					
					return false;
				});
			}
			
			showdistrictaddress();
			showdistrictonmap();
			
			try {
				$("#yar-map area").tooltip({
					track: true,
					delay: 0,
					showURL: false,
					fade: 150
				});
			} catch (e) {}
		})();
	
	//--------------------------------------------------------------------------------
	$('.maps-tab a').removeClass('active').first().addClass('active');
	$('.maps-tab-all .maps-tab-case').hide().first().show();
	$('.maps-tab a').click(function(){
		if (! $(this).hasClass('active') ){
			$('.maps-tab a').removeClass('active');
			$(this).addClass('active');
			var t_id = $(this).attr('href');
			$('.maps-tab-all .maps-tab-case').hide();
			$(t_id).stop().show();
			return false;
		}
	});
	
});
